UpdateEvalSuiteAPI mirrors erdo_update_eval_suite. Only provided fields change.
curl --request PUT \
--url https://api.erdo.ai/v1/evals/suites/{suiteSlug} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"agent_key": "<string>",
"cron_enabled": true,
"description": "<string>",
"evaluate_artifact": true,
"judge_model": "<string>",
"name": "<string>",
"pass_threshold": 123,
"suite_slug": "<string>"
}
'import requests
url = "https://api.erdo.ai/v1/evals/suites/{suiteSlug}"
payload = {
"agent_key": "<string>",
"cron_enabled": True,
"description": "<string>",
"evaluate_artifact": True,
"judge_model": "<string>",
"name": "<string>",
"pass_threshold": 123,
"suite_slug": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
agent_key: '<string>',
cron_enabled: true,
description: '<string>',
evaluate_artifact: true,
judge_model: '<string>',
name: '<string>',
pass_threshold: 123,
suite_slug: '<string>'
})
};
fetch('https://api.erdo.ai/v1/evals/suites/{suiteSlug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"suite": {
"agent_key": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"created_by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cron_enabled": true,
"description": "<string>",
"evaluate_artifact": true,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"judge_model": "<string>",
"name": "<string>",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pass_threshold": 123,
"slug": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"code": "not_found",
"details": {},
"message": "<string>"
}API Reference
UpdateEvalSuiteAPI mirrors erdo_update_eval_suite. Only provided fields change.
PUT
/
v1
/
evals
/
suites
/
{suiteSlug}
UpdateEvalSuiteAPI mirrors erdo_update_eval_suite. Only provided fields change.
Authorizations
An Erdo API key (erdo_api_...) or scoped token (erdo_token_...).
Path Parameters
Body
application/json
Response
Success response
Show child attributes
Show child attributes
⌘I

